﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        UltraCombo combo1;
        public Form1()
        {
            InitializeComponent();

            combo1 = new UltraCombo();
            combo1.DataSource = this.getComboTable();
            combo1.DisplayMember = "Name";
            combo1.ValueMember = "Code";

            ultraGrid1.DataSource = getTable();
        }

        private DataTable getTable()
        {
            DataTable table = new DataTable();

            table.Columns.Add("col1", typeof(Int32));
            table.Columns.Add("col2", typeof(string));

            for (int i = 0; i < 5; i++)
            {
                table.Rows.Add(new object[] { i % 2 + 1, (i % 2 + 1) + " is selected" });
            }

            return table;
        }

        private DataTable getComboTable()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("Name", typeof(Int32));
            dt.Columns.Add("Code", typeof(string));
            dt.Rows.Add(new object[] { 1, "item1" });
            dt.Rows.Add(new object[] { 2, "item2" });

            return dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["col1"].ValueList = this.combo1;
        }

        private void ultraGrid1_CellChange(object sender, CellEventArgs e)
        {
            if (e.Cell.Column.Key == "col1")
            {
                e.Cell.Row.Cells["col2"].Value = e.Cell.Text + " is selected";
            }
        }
    }
}
